Summary:	Supplies technical and tag information about a video or audio file (CLI)
Summary(pl.UTF-8):	Informacje techniczne i znaczniki dla plików wideo i dźwiękowych (CLI)
Name:		mediainfo
Version:	0.7.96
Release:	2
License:	LGPL v2+
Group:		Applications/Multimedia
Source0:	https://mediaarea.net/download/source/mediainfo/%{version}/%{name}_%{version}.tar.xz
# Source0-md5:	230cf5a8b44e74897313946fefed7eb1
URL:		https://mediaarea.net/MediaInfo
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake
BuildRequires:	libmediainfo-devel >= %{version}
BuildRequires:	libstdc++-devel
BuildRequires:	libtool >= 2:1.5
BuildRequires:	libzen-devel >= 0.4.35
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.566
BuildRequires:	sed >= 4.0
BuildRequires:	tar >= 1:1.22
BuildRequires:	wxGTK2-unicode-devel >= 2.6.0
BuildRequires:	xz
BuildRequires:	zlib-devel
Requires:	libmediainfo >= %{version}
Requires:	libzen >= 0.4.35
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
MediaInfo CLI (Command Line Interface).

What information can I get from MediaInfo?
- General: title, author, director, album, track number, date,
  duration...
- Video: codec, aspect, fps, bitrate...
- Audio: codec, sample rate, channels, language, bitrate...
- Text: language of subtitle
- Chapters: number of chapters, list of chapters

Supported files: DivX, XviD, H263, H.263, H264, x264, ASP, AVC,
iTunes, MPEG-1, MPEG1, MPEG-2, MPEG2, MPEG-4, MPEG4, MP4, M4A, M4V,
QuickTime, RealVideo, RealAudio, RA, RM, MSMPEG4v1, MSMPEG4v2,
MSMPEG4v3, VOB, DVD, WMA, VMW, ASF, 3GP, 3GPP, 3GP2

Supported formats/containers:
- Video: MKV, OGM, AVI, DivX, WMV, QuickTime, Real, MPEG-1, MPEG-2,
  MPEG-4, DVD (VOB) (Codecs: DivX, XviD, MSMPEG4, ASP, H.264, AVC...)
- Audio: OGG, MP3, WAV, RA, AC3, DTS, AAC, M4A, AU, AIFF
- Subtitles: SRT, SSA, ASS, SAMI

%description -l pl.UTF-8
Program MediaInfo działający z linii poleceń (CLI).

Dostępne są informacje:
- ogólne: tytuł, autor, reżyser, album, numer ścieżki, data, czas
  trwania...
- wideo: kodek, proporcje, liczba klatek na sekundę, pasmo...
- dźwięk: kodek, częstotliwość próbkowania, liczba kanałów, język,
  pasmo...
- tekst: język napisów
- książki: liczba rozdziałów, ich lista

Obsługiwane pliki: DivX, XviD, H263, H.263, H264, x264, ASP, AVC,
iTunes, MPEG-1, MPEG1, MPEG-2, MPEG2, MPEG-4, MPEG4, MP4, M4A, M4V,
QuickTime, RealVideo, RealAudio, RA, RM, MSMPEG4v1, MSMPEG4v2,
MSMPEG4v3, VOB, DVD, WMA, VMW, ASF, 3GP, 3GPP, 3GP2

Obsługiwane formaty/kontenery:
- wideo: MKV, OGM, AVI, DivX, WMV, QuickTime, Real, MPEG-1, MPEG-2,
  MPEG-4, DVD (VOB) (kodeki: DivX, XviD, MSMPEG4, ASP, H.264, AVC...)
- dźwięk: OGG, MP3, WAV, RA, AC3, DTS, AAC, M4A, AU, AIFF
- napisy: SRT, SSA, ASS, SAMI

%package gui
Summary:	Supplies technical and tag information about a video or audio file (GUI)
Summary(pl.UTF-8):	Informacje techniczne i znaczniki dla plików wideo i dźwiękowych (GUI)
Group:		X11/Applications/Multimedia
Requires:	kde-common-dirs >= 0.5
Requires:	libmediainfo >= %{version}
Requires:	libzen >= 0.4.35
Requires:	wxGTK2-unicode >= 2.6.0

%description gui
MediaInfo (Graphical User Interface).

What information can I get from MediaInfo?
- General: title, author, director, album, track number, date,
  duration...
- Video: codec, aspect, fps, bitrate...
- Audio: codec, sample rate, channels, language, bitrate...
- Text: language of subtitle
- Chapters: number of chapters, list of chapters

Supported files: DivX, XviD, H263, H.263, H264, x264, ASP, AVC,
iTunes, MPEG-1, MPEG1, MPEG-2, MPEG2, MPEG-4, MPEG4, MP4, M4A, M4V,
QuickTime, RealVideo, RealAudio, RA, RM, MSMPEG4v1, MSMPEG4v2,
MSMPEG4v3, VOB, DVD, WMA, VMW, ASF, 3GP, 3GPP, 3GP2

Supported formats/containers:
- Video: MKV, OGM, AVI, DivX, WMV, QuickTime, Real, MPEG-1, MPEG-2,
  MPEG-4, DVD (VOB) (Codecs: DivX, XviD, MSMPEG4, ASP, H.264, AVC...)
- Audio: OGG, MP3, WAV, RA, AC3, DTS, AAC, M4A, AU, AIFF
- Subtitles: SRT, SSA, ASS, SAMI

%description gui -l pl.UTF-8
Program MediaInfo z graficznym interfejsem użytkownika (GUI).

Dostępne są informacje:
- ogólne: tytuł, autor, reżyser, album, numer ścieżki, data, czas
  trwania...
- wideo: kodek, proporcje, liczba klatek na sekundę, pasmo...
- dźwięk: kodek, częstotliwość próbkowania, liczba kanałów, język,
  pasmo...
- tekst: język napisów
- książki: liczba rozdziałów, ich lista

Obsługiwane pliki: DivX, XviD, H263, H.263, H264, x264, ASP, AVC,
iTunes, MPEG-1, MPEG1, MPEG-2, MPEG2, MPEG-4, MPEG4, MP4, M4A, M4V,
QuickTime, RealVideo, RealAudio, RA, RM, MSMPEG4v1, MSMPEG4v2,
MSMPEG4v3, VOB, DVD, WMA, VMW, ASF, 3GP, 3GPP, 3GP2

Obsługiwane formaty/kontenery:
- wideo: MKV, OGM, AVI, DivX, WMV, QuickTime, Real, MPEG-1, MPEG-2,
  MPEG-4, DVD (VOB) (kodeki: DivX, XviD, MSMPEG4, ASP, H.264, AVC...)
- dźwięk: OGG, MP3, WAV, RA, AC3, DTS, AAC, M4A, AU, AIFF
- napisy: SRT, SSA, ASS, SAMI

%prep
%setup -q -n MediaInfo
%undos *.html *.txt Release/*.txt
chmod 644 *.html *.txt Release/*.txt

%build
# build CLI
cd Project/GNU/CLI
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure
%{__make}
# now build GUI
cd ../../../Project/GNU/GUI
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
	--with-wx-config=%{_bindir}/wx-gtk2-unicode-config
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C Project/GNU/CLI install \
	DESTDIR=$RPM_BUILD_ROOT

%{__make} -C Project/GNU/GUI install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc License.html History_CLI.txt README.md Release/ReadMe_CLI_Linux.txt
%attr(755,root,root) %{_bindir}/mediainfo
%{_datadir}/appdata/mediainfo-gui.appdata.xml

%files gui
%defattr(644,root,root,755)
%doc License.html History_GUI.txt Release/ReadMe_GUI_Linux.txt
%attr(755,root,root) %{_bindir}/mediainfo-gui
%{_desktopdir}/mediainfo-gui.desktop
%{_pixmapsdir}/mediainfo.xpm
%{_iconsdir}/hicolor/256x256/apps/mediainfo.png
%{_iconsdir}/hicolor/scalable/apps/mediainfo.svg
%dir %{_datadir}/apps/konqueror/servicemenus
%{_datadir}/apps/konqueror/servicemenus/mediainfo-gui.desktop
%{_datadir}/kde4/services/ServiceMenus/mediainfo-gui.desktop
%changelog
* Sat Jun 17 2017 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/mediainfo.git;a=log;h=master

* Sat Jun 17 2017 Jan Rękorajski <baggins@pld-linux.org> d4568bf
- release 2 (by relup.sh)

* Thu Jun 08 2017 Jakub Bogusz <qboosh@pld-linux.org> 1eb178e
- new URLs, updated to 0.7.96

* Sun Jun 19 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> 8461e9f
- up to 0.7.86

* Mon Mar 23 2015 Elan Ruusamäe <glen@delfi.ee> 07f1f94
- x32 rebuild
- release 2 (by relup.sh)

* Sat Mar 15 2014 Jakub Bogusz <qboosh@pld-linux.org> d70490d
- no //

* Sat Mar 08 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 3e56b25
- patch obsolete

* Sat Mar 08 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> d4e2ee9
- up to 0.7.67

* Sun Jan 19 2014 Jan Rękorajski <baggins@pld-linux.org> 5d9f618
- fix building with wxWidgets 3.0
- rel 3

* Wed Jan 15 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> d99ddae
- wxWidgets rebuild
- release 2 (by relup.sh)

* Sat Nov 03 2012 Jakub Bogusz <qboosh@pld-linux.org> 01bcd4a
- cleanup, pl

* Thu Oct 25 2012 Karol Krenski <charles@pld-linux.org> 1b70191
- up to 0.7.61

* Sun Oct 21 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> c27c723
- up to 0.7.60

* Sat Jul 16 2011 Karol Krenski <charles@pld-linux.org> c25c120
- updated to 0.7.47

* Thu Apr 28 2011 Karol Krenski <charles@pld-linux.org> a36e950
- sync with libmediainfo (versions)

* Thu Apr 28 2011 Karol Krenski <charles@pld-linux.org> 42828fd
- updated to 0.7.44

* Sat Feb 12 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 72b2751
- up to 0.7.39

* Thu Sep 30 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 39bb921
- up to 0.7.35

* Wed May 19 2010 shadzik <shadzik@pld-linux.org> 459be30
- konqueror dir is wrong too
- gui R: kde-common-dirs
- rel 3

* Wed May 19 2010 shadzik <shadzik@pld-linux.org> a00969f
- rel 2

* Wed May 19 2010 shadzik <shadzik@pld-linux.org> 1bc7cca
- don't own kde4 dirs

